<script>
	import { Router, Route, Link } from "svelte-navigator";
	import  Kradanta  from './pages/kradanta.svelte';
	import KradantaAnalyzer from './pages/kradantaAnalyzzer.svelte';
	import ValidateKradanta from "./pages/validateKradanta.svelte";
</script>
<Router>
<h3>PAIAS: <span>Ashtadhyayi Interpreter</span></h3>
	<nav style="background-color: #e3f2fd;">
		<Link to="/" class="anchor" tabLinkActive>Krdanta Generator</Link>
		<Link to="analyzer" class="anchor ">Krdanta Analyzer</Link>
		<Link to="validate" class="anchor" tabLinkActive>Pre-validated Krdanta Forms</Link>
	</nav>
<main>
	<Route path="/">
		<Kradanta/>
	  </Route>
	  <Route path="validate">
		<ValidateKradanta/>
	  </Route>
	  <Route path="analyzer">
		<KradantaAnalyzer/>
	  </Route>
</main>
</Router>

<style>
	nav {
		border: 1px solid #e7e7e7;
    	background-color: #f3f3f3;
		display: flex;
	}
	h3 {
		font-family: ui-serif;
		font-size: 40px;
		font-weight: 600;
	}
	h3 span {
		color:#186cb8;
	}
</style>
